Page MenuHomePhabricator

1.42.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Train Conductor
jeena
Release Version
1.42.0-wmf.20
Release Date
Feb 26 2024, 12:00 AM

2024 week 09 1.42-wmf.20 Changes wmf/1.42.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, February 26th:

Monday February 26thTuesday, February 27thWednesday, February 28thThursday, February 29thFriday
Backports only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.42.0-wmf.19
Next: 1.42.0-wmf.21

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jeena.

Change 1006204 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.42.0-wmf.20] Branch commit for wmf/1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006204

Change 1006204 merged by jenkins-bot:

[mediawiki/core@wmf/1.42.0-wmf.20] Branch commit for wmf/1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006204

Change 1006612 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006612

Change 1006612 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006612

Mentioned in SAL (#wikimedia-operations) [2024-02-27T04:04:36Z] <mwpresync@deploy2002> Started scap: testwikis wikis to 1.42.0-wmf.20 refs T354438

Mentioned in SAL (#wikimedia-operations) [2024-02-27T04:56:54Z] <mwpresync@deploy2002> Finished scap: testwikis wikis to 1.42.0-wmf.20 refs T354438 (duration: 52m 18s)

Change 1006984 had a related patch set uploaded (by TrainBranchBot; author: Dan Duvall):

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006984

Change 1006984 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1006984

Mentioned in SAL (#wikimedia-operations) [2024-02-27T19:26:00Z] <dduvall@deploy2002> rebuilt and synchronized wikiversions files: group0 wikis to 1.42.0-wmf.20 refs T354438

Change 1007421 had a related patch set uploaded (by TrainBranchBot; author: Dan Duvall):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1007421

Change 1007421 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1007421

Mentioned in SAL (#wikimedia-operations) [2024-02-28T19:14:18Z] <dduvall@deploy2002> rebuilt and synchronized wikiversions files: group1 wikis to 1.42.0-wmf.20 refs T354438

Mentioned in SAL (#wikimedia-operations) [2024-02-28T19:22:55Z] <dduvall@deploy2002> Synchronized php: group1 wikis to 1.42.0-wmf.20 refs T354438 (duration: 08m 37s)

Change 1007691 had a related patch set uploaded (by TrainBranchBot; author: Dan Duvall):

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1007691

Change 1007691 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.20

https://gerrit.wikimedia.org/r/1007691

Mentioned in SAL (#wikimedia-operations) [2024-02-29T19:35:43Z] <dduvall@deploy2002> rebuilt and synchronized wikiversions files: group2 wikis to 1.42.0-wmf.20 refs T354438